Bug 458805 - missing infiniband kernel headers
missing infiniband kernel headers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks: 461304
  Show dependency treegraph
 
Reported: 2008-08-12 09:26 EDT by Götz Waschk
Modified: 2009-05-18 15:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 10:57:26 EDT

  None (edit)
Description Götz Waschk 2008-08-12 09:26:25 EDT
Description of problem:
I'm trying to build lustre 1.6.5.1 with infiniband support against the RHEL4.7 kernel. The headers the configure script is looking for aren't available.

Version-Release number of selected component (if applicable):
kernel-smp-devel-2.6.9-78.EL

How reproducible:
always

Steps to Reproduce:
1. install kernel-smp-devel
2. unpack lustre 1.6.5.1 from http://lustre.org
3. run configure. 

Actual results:
it should detect infiniband support in the kernel

Expected results:
infiniband is not detected

Additional info:
The script is looking for the following headers:
include/rdma/rdma_cm.h
include/rdma/ib_cm.h
include/rdma/ib_verbs.h
include/rdma/ib_fmr_pool.h

They are included in RHEL 5 in kernel-devel 2.6.18-92.1.10.el5:
% rpm -ql kernel-devel-2.6.18-92.1.10.el5|fgrep rdma
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/config/cardman
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/config/cardman/4000.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/config/cardman/4040.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/Kbuild
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_addr.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_cache.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_cm.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_fmr_pool.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_mad.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_marshall.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_pack.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_sa.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_smi.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_umem.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_user_cm.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_user_mad.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_user_sa.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_user_verbs.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/ib_verbs.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/iw_cm.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/rdma_cm.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/rdma_cm_ib.h
/usr/src/kernels/2.6.18-92.1.10.el5-x86_64/include/rdma/rdma_user_cm.h
Comment 1 RHEL Product and Program Management 2008-08-14 11:23:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2008-09-03 09:09:09 EDT
Updating PM score.
Comment 3 Vivek Goyal 2009-01-12 09:50:33 EST
Committed in 78.27.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 6 errata-xmlrpc 2009-05-18 15:28:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.